Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.graph
Class ShortTreeAttribute

    java.lang.Object
      de.grogra.graph.Attribute<java.lang.Short>
          de.grogra.graph.ShortAttribute
              de.grogra.graph.ShortTreeAttribute

All Implemented Interfaces:
  Described, KeyDescription, java.lang.Comparable

    public abstract class ShortTreeAttribute

extends ShortAttribute

Field Summary

Fields inherited from class de.grogra.graph.Attribute
`ATTRIBUTE_0, attrType, quantity`

Fields inherited from interface de.grogra.util.Described
`ACCELERATOR_KEY, ICON, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, TITLE`

Constructor Summary
`ShortTreeAttribute()`
`ShortTreeAttribute(Type type)`

Method Summary
`abstract boolean` | `dependsOn(Attribute[] b)`
`protected abstract short` | `derive(java.lang.Object object, boolean asNode, short parentValue, GraphState gs)`
`protected short` | `getDerived(java.lang.Object object, boolean asNode, GraphState gs)`
`protected abstract short` | `getInitialValue(GraphState gs)`
`protected ObjectAttribute` | `getParentAttribute(GraphState gs)`
`short` | `getParentValue(java.lang.Object object, boolean asNode, GraphState gs)`
`boolean` | `isDerived()` Determines whether this is a derived attribute or not.

Methods inherited from class de.grogra.graph.ShortAttribute
`get, getMaxValue, getMinValue, set, setDerived, setShort`

Methods inherited from class de.grogra.graph.Attribute
`compareTo, find, forName, getAttributeState, getDescription, getId, getKey, getQuantity, getSimpleName, getType, hashCode, initializeI18N, initializeName, isContained, isWritable, setAttributeState, toArray, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ShortTreeAttribute

    public ShortTreeAttribute()

### ShortTreeAttribute

    public ShortTreeAttribute(Type type)

Method Detail

### dependsOn

    public abstract boolean dependsOn(Attribute[] b)

### derive

    protected abstract short derive(java.lang.Object object,
                                    boolean asNode,
                                    short parentValue,
                                    GraphState gs)

### getDerived

    protected short getDerived(java.lang.Object object,
                               boolean asNode,
                               GraphState gs)

  Overrides:
    `getDerived` in class `ShortAttribute`

### getInitialValue

    protected abstract short getInitialValue(GraphState gs)

### getParentAttribute

    protected ObjectAttribute getParentAttribute(GraphState gs)

### getParentValue

    public short getParentValue(java.lang.Object object,
                                boolean asNode,
                                GraphState gs)

### isDerived

    public boolean isDerived()

  Description copied from class: `Attribute`
  Determines whether this is a derived attribute or not.

  Overrides:
    `isDerived` in class `Attribute<java.lang.Short>`
  Returns:
    `true` iff this is a derived attribute

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD